## tuskar 0.4.2

=== requirements.txt ===
pbr>=0.5.21,<1.0

anyjson>=0.3.3
argparse
Babel>=1.3
-e git+http://git.openstack.org/cgit/openstack/tripleo-heat-templates#egg=tripleo_heat_templates-master
eventlet>=0.13.0
Flask>=0.10,<1.0
greenlet>=0.3.2
iso8601>=0.1.8
kombu>=2.4.8
lxml>=2.3
oslo.config>=1.2.0
pecan>=0.2.0
posix_ipc
python-heatclient>=0.2.3
python-keystoneclient>=0.4.1
python-novaclient>=2.15.0
PyYAML>=3.1.0
six>=1.4.1
SQLAlchemy>=0.7.8,<=0.7.99
sqlalchemy-migrate>=0.8.2
WebOb>=1.2.3,<1.3
WSME>=0.5b6

=== debian/changelog ===
tuskar (0.4.2-3) unstable; urgency=medium

  * Added German debconf translation thanks to Helge Kreutzmann
    <debian@helgefjell.de> (Closes: #756946).
  * Fixed "Apache 2.0" -> Apache-2.0 in debian/copyright.

 -- Thomas Goirand <zigo@debian.org>  Wed, 10 Sep 2014 11:59:40 +0000

tuskar (0.4.2-2) unstable; urgency=medium

  * Added missing dependency on dbconfig-common (Closes: #749351).
  * Now build-depends on openstack-pkg-tools >= 12~.
  * Moved python-sphinx from build-depends-indep to build-depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Jun 2014 13:53:48 +0800

tuskar (0.4.2-1) unstable; urgency=medium

  * New upstream release.
  * Also package missing migrate.cfg in python-tuskar. Without this, the db
    migration fails (Closes: #749351).
  * Added missing build-depends on subunit.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 May 2014 16:10:05 +0800

tuskar (0.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Added French debconf translation, thanks to Christian Perrier
    (Closes: #745276).
  * Added Portuguese debconf translation, thanks to Américo Monteiro
    <a_monteiro@gmx.com> (Closes: #745338).
  * Added Italian debconf translation, thanks to Beatrice Torracca
    <beatricet@libero.it> (Closes: #746576).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Apr 2014 11:38:28 +0800

tuskar (0.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Apr 2014 16:06:30 +0800

tuskar (0.2.1-1) experimental; urgency=low

  * Initial release (Closes: #732180).

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Dec 2013 09:55:26 +0800

=== debian/control ===
Source: tuskar
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools (>= 12~),
               python-all (>= 2.6.6-3~),
               python-pbr (>=0.5.21),
               python-setuptools,
               python-sphinx
Build-Depends-Indep: python-amqplib,
                     python-anyjson (>= 0.3.3),
                     python-babel (>= 1.3),
                     python-coverage (>= 3.6),
                     python-eventlet (>= 0.13.0),
                     python-fixtures (>= 0.3.14),
                     python-flask (>= 0.10),
                     python-greenlet (>= 0.3.2),
                     python-hacking (>= 0.8),
                     python-heatclient (>= 0.2.3),
                     python-iso8601 (>= 0.1.8),
                     python-keystoneclient (>= 1:0.4.1),
                     python-kombu (>= 2.4.8),
                     python-lxml (>= 2.3),
                     python-migrate (>= 0.8.2),
                     python-mock (>= 1.0),
                     python-mox,
                     python-mysqldb,
                     python-novaclient (>= 2:2.15.0),
                     python-oslo.config (>= 1:1.2.0),
                     python-pecan (>= 0.2.0),
                     python-posix-ipc,
                     python-six (>= 1.4.1),
                     python-sphinxcontrib-pecanwsme (>= 0.5),
                     python-sqlalchemy (>= 0.7.8),
                     python-stevedore (>= 0.14),
                     python-subunit,
                     python-testtools (>= 0.9.32),
                     python-tripleo-heat-templates,
                     python-unittest2,
                     python-webob (>= 1.2.3),
                     python-wsme (>= 0.5b6),
                     python-yaml,
                     sqlite3,
                     subunit,
                     testrepository (>= 0.0.17)
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/tuskar.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/tuskar.git
Homepage: https://github.com/openstack/tuskar

Package: python-tuskar
Section: python
Architecture: all
Depends: python-amqplib,
         python-anyjson (>= 0.3.3),
         python-babel (>= 1.3),
         python-eventlet (>= 0.13.0),
         python-flask,
         python-greenlet (>= 0.3.2),
         python-heatclient (>= 0.2.3),
         python-iso8601 (>= 0.1.8),
         python-keystoneclient (>= 1:0.4.1),
         python-kombu (>= 2.4.8),
         python-lxml (>= 2.3),
         python-migrate (>= 0.8.2),
         python-novaclient (>= 2:2.15.0),
         python-oslo.config (>= 1:1.2.0),
         python-pecan (>= 0.2.0),
         python-posix-ipc,
         python-six (>= 1.4.1),
         python-sqlalchemy (>= 0.7.8),
         python-tripleo-heat-templates,
         python-webob (>= 1.2.3),
         python-wsme (>= 0.5b6),
         python-yaml,
         ${misc:Depends},
         ${python:Depends}
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: control how and where OpenStack services are deployed - Python module
 Tuskar gives administrators the ability to control how and where OpenStack
 services are deployed across the datacenter. Using Tuskar, administrators
 divide hardware into "resource classes" that allow predictable elastic scaling
 as cloud demands grow. This resource orchestration allows Tuskar users to
 ensure SLAs, improve performance, and maximize utilization across the
 datacenter.
 .
 Tuskar services are available via a RESTful API and management console through
 which administrators are able to classify their hardware and define their
 datacenters. In addition, Tuskar components provide administrators with
 performance monitoring, health statistics, and usage metrics, aiding in
 capacity planning and hardware procurement decisions.
 .
 This package provides the Python libraries.

Package: tuskar-common
Architecture: all
Depends: adduser,
         dbconfig-common,
         python-tuskar (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Description: control how and where OpenStack services are deployed - common files
 Tuskar gives administrators the ability to control how and where OpenStack
 services are deployed across the datacenter. Using Tuskar, administrators
 divide hardware into "resource classes" that allow predictable elastic scaling
 as cloud demands grow. This resource orchestration allows Tuskar users to
 ensure SLAs, improve performance, and maximize utilization across the
 datacenter.
 .
 Tuskar services are available via a RESTful API and management console through
 which administrators are able to classify their hardware and define their
 datacenters. In addition, Tuskar components provide administrators with
 performance monitoring, health statistics, and usage metrics, aiding in
 capacity planning and hardware procurement decisions.
 .
 This package provides common files.

Package: tuskar
Architecture: all
Depends: tuskar-api (= ${binary:Version}),
         tuskar-common (= ${binary:Version}),
         tuskar-manager (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Description: control how and where OpenStack services are deployed - meta package
 Tuskar gives administrators the ability to control how and where OpenStack
 services are deployed across the datacenter. Using Tuskar, administrators
 divide hardware into "resource classes" that allow predictable elastic scaling
 as cloud demands grow. This resource orchestration allows Tuskar users to
 ensure SLAs, improve performance, and maximize utilization across the
 datacenter.
 .
 Tuskar services are available via a RESTful API and management console through
 which administrators are able to classify their hardware and define their
 datacenters. In addition, Tuskar components provide administrators with
 performance monitoring, health statistics, and usage metrics, aiding in
 capacity planning and hardware procurement decisions.
 .
 This package is a metapackage that helps installing all of Tuskar at once.

Package: tuskar-api
Architecture: all
Depends: tuskar-common (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Description: control how and where OpenStack services are deployed - API server
 Tuskar gives administrators the ability to control how and where OpenStack
 services are deployed across the datacenter. Using Tuskar, administrators
 divide hardware into "resource classes" that allow predictable elastic scaling
 as cloud demands grow. This resource orchestration allows Tuskar users to
 ensure SLAs, improve performance, and maximize utilization across the
 datacenter.
 .
 Tuskar services are available via a RESTful API and management console through
 which administrators are able to classify their hardware and define their
 datacenters. In addition, Tuskar components provide administrators with
 performance monitoring, health statistics, and usage metrics, aiding in
 capacity planning and hardware procurement decisions.
 .
 This package provides the REST API server.

Package: tuskar-manager
Architecture: all
Depends: tuskar-common (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Description: control how and where OpenStack services are deployed - manager server
 Tuskar gives administrators the ability to control how and where OpenStack
 services are deployed across the datacenter. Using Tuskar, administrators
 divide hardware into "resource classes" that allow predictable elastic scaling
 as cloud demands grow. This resource orchestration allows Tuskar users to
 ensure SLAs, improve performance, and maximize utilization across the
 datacenter.
 .
 Tuskar services are available via a RESTful API and management console through
 which administrators are able to classify their hardware and define their
 datacenters. In addition, Tuskar components provide administrators with
 performance monitoring, health statistics, and usage metrics, aiding in
 capacity planning and hardware procurement decisions.
 .
 This package provides the manager server.

Package: tuskar-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: control how and where OpenStack services are deployed - doc
 Tuskar gives administrators the ability to control how and where OpenStack
 services are deployed across the datacenter. Using Tuskar, administrators
 divide hardware into "resource classes" that allow predictable elastic scaling
 as cloud demands grow. This resource orchestration allows Tuskar users to
 ensure SLAs, improve performance, and maximize utilization across the
 datacenter.
 .
 Tuskar services are available via a RESTful API and management console through
 which administrators are able to classify their hardware and define their
 datacenters. In addition, Tuskar components provide administrators with
 performance monitoring, health statistics, and usage metrics, aiding in
 capacity planning and hardware procurement decisions.
 .
 This package provides the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/openstack/tuskar.git
include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc

override_dh_auto_install:
	dh_auto_install -O--buildsystem=python_distutils
	set -e && for pyvers in $(PYTHONS); do \
		mkdir -p $(CURDIR)/debian/python-tuskar/usr/lib/python$$pyvers/dist-packages/tuskar/db/sqlalchemy/migrate_repo ; \
		cp tuskar/db/sqlalchemy/migrate_repo/migrate.cfg \
			$(CURDIR)/debian/python-tuskar/usr/lib/python$$pyvers/dist-packages/tuskar/db/sqlalchemy/migrate_repo ; \
	done
	install -D -m 0664 $(CURDIR)/etc/tuskar/tuskar.conf.sample $(CURDIR)/debian/tuskar-common/usr/share/tuskar-common/tuskar.conf

override_dh_auto_clean:
	dh_auto_clean -O--buildsystem=python_distutils
	rm -f debian/tuskar-common.postinst debian/tuskar-common.config debian/tuskar-api.config debian/tuskar-api.postinst
	rm -rf doc/build build *.egg-info

override_dh_auto_build:
	dh_auto_build -O--buildsystem=python_distutils
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func tuskar-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func tuskar-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func tuskar-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func tuskar-api.postinst

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	PYTHONPATH=$(CURDIR) python setup.py testr --slowest --testr-args='--subunit  ' | subunit2pyunit || true
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html doc/source $(CURDIR)/debian/tuskar-doc/usr/share/doc/tuskar-doc/html
## This is a workaround to avoid FTBFS, though a real fix should be found.
	mkdir -p $(CURDIR)/debian/tuskar-doc/usr/share/doc/tuskar-doc/html/_static
	touch $(CURDIR)/debian/tuskar-doc/usr/share/doc/tuskar-doc/html/_static/toggle.js
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

## tuskar 0.4.18

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=0.6,!=0.7,<1.0

anyjson>=0.3.3
Babel>=1.3
# The egg=tripleo-heat-templates suffix is needed by pbr's requirements
# processing code
http://tarballs.openstack.org/tripleo-heat-templates/tripleo-heat-templates-master.tar.gz#egg=tripleo_heat_templates
eventlet>=0.16.1,!=0.17.0
greenlet>=0.3.2
iso8601>=0.1.9
kombu>=2.5.0
lxml>=2.3
oslo.config>=1.9.3  # Apache-2.0
oslo.db>=1.7.0  # Apache-2.0
pecan>=0.8.0
posix_ipc
python-heatclient>=0.3.0
python-keystoneclient>=1.1.0
PyYAML>=3.1.0
six>=1.9.0
SQLAlchemy>=0.9.7,<=0.9.99
sqlalchemy-migrate>=0.9.5
WebOb>=1.2.3
WSME>=0.6

=== debian/changelog ===
tuskar (0.4.18-1) unstable; urgency=medium

  * New upstream release.
  * Updated debconf Brazilian Portuguese Translation (Closes: #804444).

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 Nov 2015 09:56:14 +0100

tuskar (0.4.17-2) unstable; urgency=medium

  * Allow running with SQLA >= 1.0.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Jul 2015 03:55:51 +0000

tuskar (0.4.17-1) unstable; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fixed debian/tuskar-common.postrm ucfr purge (Closes: #783861).

 -- Thomas Goirand <zigo@debian.org>  Thu, 07 May 2015 15:25:42 +0200

tuskar (0.4.2-4) unstable; urgency=medium

  * Added nl.po debconf translation (Closes: #767420).
  * Added dh-python as build-depends.
  * Switch to generated systemd/upstart/sysv-rc scripts.

 -- Thomas Goirand <zigo@debian.org>  Wed, 12 Nov 2014 19:03:04 +0800

=== debian/control ===
--- 
+++ 
@@ -2,52 +2,52 @@
 Section: net
 Priority: extra
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
-Uploaders: Julien Danjou <acid@debian.org>,
-           Thomas Goirand <zigo@debian.org>,
-           Mehdi Abaakouk <sileht@sileht.net>
+Uploaders: Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 9),
-               openstack-pkg-tools (>= 12~),
-               python-all (>= 2.6.6-3~),
-               python-pbr (>=0.5.21),
+               dh-python,
+               dh-systemd,
+               openstack-pkg-tools (>= 23~),
+               po-debconf,
+               python-all,
+               python-pbr,
                python-setuptools,
-               python-sphinx
-Build-Depends-Indep: python-amqplib,
-                     python-anyjson (>= 0.3.3),
-                     python-babel (>= 1.3),
-                     python-coverage (>= 3.6),
-                     python-eventlet (>= 0.13.0),
-                     python-fixtures (>= 0.3.14),
-                     python-flask (>= 0.10),
-                     python-greenlet (>= 0.3.2),
-                     python-hacking (>= 0.8),
-                     python-heatclient (>= 0.2.3),
-                     python-iso8601 (>= 0.1.8),
-                     python-keystoneclient (>= 1:0.4.1),
-                     python-kombu (>= 2.4.8),
-                     python-lxml (>= 2.3),
-                     python-migrate (>= 0.8.2),
-                     python-mock (>= 1.0),
-                     python-mox,
+               python-sphinx,
+Build-Depends-Indep: python-anyjson,
+                     python-babel,
+                     python-coverage,
+                     python-eventlet (>= 0.16.1),
+                     python-fixtures,
+                     python-greenlet,
+                     python-hacking,
+                     python-heatclient (>= 0.3.0),
+                     python-iso8601,
+                     python-keystoneclient (>= 1:1.1.0),
+                     python-kombu,
+                     python-lxml,
+                     python-migrate (>= 0.9.5),
+                     python-mock,
                      python-mysqldb,
-                     python-novaclient (>= 2:2.15.0),
-                     python-oslo.config (>= 1:1.2.0),
-                     python-pecan (>= 0.2.0),
+                     python-novaclient (>= 2:2.22.0),
+                     python-oslo.config (>= 1:1.9.3),
+                     python-oslo.db (>= 1.7.0),
+                     python-oslotest (>= 1.5.1),
+                     python-pecan (>= 0.8.0),
                      python-posix-ipc,
-                     python-six (>= 1.4.1),
-                     python-sphinxcontrib-pecanwsme (>= 0.5),
-                     python-sqlalchemy (>= 0.7.8),
-                     python-stevedore (>= 0.14),
-                     python-subunit,
-                     python-testtools (>= 0.9.32),
+                     python-psycopg2,
+                     python-six (>= 1.9.0),
+                     python-sphinxcontrib-pecanwsme,
+                     python-sqlalchemy,
+                     python-stevedore (>= 1.3.0),
+                     python-testtools,
                      python-tripleo-heat-templates,
                      python-unittest2,
-                     python-webob (>= 1.2.3),
-                     python-wsme (>= 0.5b6),
+                     python-webob,
+                     python-wsme,
                      python-yaml,
                      sqlite3,
                      subunit,
-                     testrepository (>= 0.0.17)
-Standards-Version: 3.9.5
+                     testrepository,
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/tuskar.git;a=summary
 Vcs-Git: git://anonscm.debian.org/openstack/tuskar.git
 Homepage: https://github.com/openstack/tuskar
@@ -55,30 +55,30 @@
 Package: python-tuskar
 Section: python
 Architecture: all
-Depends: python-amqplib,
-         python-anyjson (>= 0.3.3),
-         python-babel (>= 1.3),
-         python-eventlet (>= 0.13.0),
-         python-flask,
-         python-greenlet (>= 0.3.2),
-         python-heatclient (>= 0.2.3),
-         python-iso8601 (>= 0.1.8),
-         python-keystoneclient (>= 1:0.4.1),
-         python-kombu (>= 2.4.8),
-         python-lxml (>= 2.3),
-         python-migrate (>= 0.8.2),
-         python-novaclient (>= 2:2.15.0),
-         python-oslo.config (>= 1:1.2.0),
-         python-pecan (>= 0.2.0),
+Depends: python-anyjson,
+         python-babel,
+         python-eventlet (>= 0.16.1),
+         python-greenlet,
+         python-heatclient (>= 0.3.0),
+         python-iso8601,
+         python-keystoneclient (>= 1:1.1.0),
+         python-kombu,
+         python-lxml,
+         python-migrate (>= 0.9.5),
+         python-novaclient (>= 2:2.22.0),
+         python-oslo.config (>= 1:1.9.3),
+         python-oslo.db (>= 1.7.0),
+         python-pecan (>= 0.8.0),
          python-posix-ipc,
-         python-six (>= 1.4.1),
-         python-sqlalchemy (>= 0.7.8),
+         python-psycopg2,
+         python-six (>= 1.9.0),
+         python-sqlalchemy,
          python-tripleo-heat-templates,
-         python-webob (>= 1.2.3),
-         python-wsme (>= 0.5b6),
+         python-webob,
+         python-wsme,
          python-yaml,
          ${misc:Depends},
-         ${python:Depends}
+         ${python:Depends},
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
 Description: control how and where OpenStack services are deployed - Python module

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 export OSLO_PACKAGE_VERSION=$(VERSION)
 
 %:
-	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc
+	dh $@ --buildsystem=python_distutils --with python2,systemd,sphinxdoc
 
 override_dh_auto_install:
 	dh_auto_install -O--buildsystem=python_distutils
@@ -22,7 +22,7 @@
 override_dh_auto_clean:
 	dh_auto_clean -O--buildsystem=python_distutils
 	rm -f debian/tuskar-common.postinst debian/tuskar-common.config debian/tuskar-api.config debian/tuskar-api.postinst
-	rm -rf doc/build build *.egg-info
+	rm -rf doc/build build *.egg-info debian/*.service debian/*.init debian/*.upstart
 
 override_dh_auto_build:
 	dh_auto_build -O--buildsystem=python_distutils

=== debian/watch ===
version=3
https://github.com/openstack/tuskar/tags .*/(\d[\d\.]+)\.tar\.gz
